Page MenuHomeFreeBSD

patch devel/orc to build on armv6 emulation
ClosedPublic

Authored by sbruno on Sep 9 2014, 6:39 AM.

Details

Reviewers
bapt
kwm
bdrewery
Summary

there's a bug in qemu-arm float emulation causing the build
of devel/orc to fail, but the code itself is sort of wrong too.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Linters Available
Unit
No Unit Test Coverage

Event Timeline

sbruno retitled this revision from to patch devel/orc to build on armv6 emulation.
sbruno updated this object.
sbruno edited the test plan for this revision. (Show Details)
sbruno added a reviewer: kwm.
sbruno added a subscriber: sson.

Do you have a build log for this one with the failure?

but of course:

http://chips.ysv.freebsd.org/data/11armv632-default/2014-09-04_01h04m05s/logs/errors/orc-0.4.21.log

Now, understand that this will actually *not* happen on REAL hardware. This is a very nasty, undebugged failure of our qemu-emulation.

But, this is sort of a bug in the code too. So ... its arguable.

kwm requested changes to this revision.Sep 16 2014, 6:08 AM
kwm edited edge metadata.
kwm added inline comments.
devel/orc/files/patch-orc-orcprogram-c.c
1

Could you put some text above the --- orc/orcprogram-c.c.orig line explaining why this patch is needed? Like you stated it is to work around a qemu problem.

This revision now requires changes to proceed.Sep 16 2014, 6:08 AM
sbruno edited edge metadata.

Update patch file with some comments as to why this patch is being applied.

kwm edited edge metadata.
This revision is now accepted and ready to land.Sep 16 2014, 12:24 PM
bapt edited edge metadata.

Committed at svn r368308.